using System;
using System.Collections.Generic;

namespace NwndEntFwkAPI.EF
{
    internal class Products
    {
        internal Products()
        {
        }

        internal int ProductID { get; set; } 
        internal string ProductName { get; set; } 
        internal int? SupplierID { get; set; } 
        internal int? CategoryID { get; set; } 
        internal string QuantityPerUnit { get; set; } 
        internal decimal? UnitPrice { get; set; } 
        internal Int16? UnitsInStock { get; set; } 
        internal Int16? UnitsOnOrder { get; set; } 
        internal Int16? ReorderLevel { get; set; } 
        internal bool Discontinued { get; set; } 

        internal virtual Suppliers Supplier { get; set; }
        internal virtual Categories Category { get; set; }
    }
}
