using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using NwndEntFwkAPI.Domain;
using NwndEntFwkAPI.BusinessObject;
using System.Text.Json;
using System.Threading.Tasks;

namespace NwndEntFwk.Pages
{
     public class Categories_UnboundModel : PageModel
     {
         [BindProperty]
         public NwndEntFwkAPI.BusinessObject.Categories Categories { get; set; }

         [BindProperty]
         public string ReturnUrl { get; set; }

         public CrudOperation Operation;

         /// <summary>
         /// Initial handler the razor page encounters.
         /// </summary>
         public void OnGet()
         {
             // assign model(s) used by this page
             ReturnUrl = "/Index";
         }

         public IActionResult OnPostSubmit()
         {
             if (ModelState.IsValid)
             {
                 try
                 {
                     // add new record (or update existing record) here

                     // redirect to another page
                     return RedirectToPage("");
                 }
                 catch(Exception ex)
                 {
                     if (ex.InnerException != null)
                         ModelState.AddModelError("", ex.InnerException.Message);
                     else
                         ModelState.AddModelError("", ex.Message);
                 }
             }

             // if we got this far, something failed, redisplay form
             return Page();
         }
     }
}
