using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using NwndEntFwkAPI.Domain;
using NwndEntFwkAPI.BusinessObject;

namespace NwndEntFwk.PartialModels
{
     public class AddEditProductsPartialModel
     {
         [BindProperty]
         public NwndEntFwkAPI.BusinessObject.Products Products { get; set; }

         [BindProperty]
         public List<Suppliers> SuppliersDropDownListData { get; set; }

         [BindProperty]
         public List<Categories> CategoriesDropDownListData { get; set; }

         public CrudOperation Operation;
         public string ReturnUrl;

         public AddEditProductsPartialModel()
         {
         }

     }
}
